summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author0x501D <mail@void.so>2020-02-28 12:54:18 +0300
committer0x501D <mail@void.so>2020-02-28 12:54:18 +0300
commitddddcdf0cf9cd1f1acb4e5cb49bd711913ad2ef0 (patch)
treeb74e9e439aabab23b6eede121386626b3b15e67c
parentdfe1939096a811d3508d9a0ebac51c9d15e6eba5 (diff)
core: up versionv2.3.0
-rw-r--r--CHANGES5
-rw-r--r--pkg/linux/gentoo/nemu-2.3.0.ebuild72
-rw-r--r--src/nm_core.h2
3 files changed, 77 insertions, 2 deletions
diff --git a/CHANGES b/CHANGES
index deeb6b7..b79c940 100644
--- a/CHANGES
+++ b/CHANGES
@@ -1,11 +1,14 @@
-v2.3.0 - ?
+v2.3.0 - 28.02.2020
------------------------
- Feature: powerdown/force-stop/reset/kill vm from command line
- Feature: dbus - send message on VM status change
- Feature: alternative names for network interfaces,
requires linux kernel and headers >= 5.5
- Feature: check database version on start
+ - Feature: user now can choose layouts of SVG map
+ - Feature: support emulation of NVMe disk drives
- Bugfix: delete tap interfaces when vm is deleted
+ - Bugfix: deny creating snapshot with USB devices plugged
v2.2.3 - 24.01.2020
------------------------
diff --git a/pkg/linux/gentoo/nemu-2.3.0.ebuild b/pkg/linux/gentoo/nemu-2.3.0.ebuild
new file mode 100644
index 0000000..f499813
--- /dev/null
+++ b/pkg/linux/gentoo/nemu-2.3.0.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2020 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit cmake-utils linux-info
+
+DESCRIPTION="ncurses UI for QEMU"
+HOMEPAGE="https://github.com/nemuTUI/nemu"
+SRC_URI="https://github.com/nemuTUI/nemu/archive/v${PV}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE="+vnc-client +ovf +spice savevm svg debug dbus"
+
+RDEPEND="
+ sys-libs/ncurses:0=[unicode]
+ dev-db/sqlite:3=
+ dev-libs/libusb:1=
+ || ( sys-fs/eudev sys-fs/udev sys-apps/systemd )
+ >=app-emulation/qemu-2.12.0[vnc,virtfs,spice?]
+ ovf? (
+ dev-libs/libxml2
+ app-arch/libarchive
+ )
+ dbus? ( sys-apps/dbus )
+ svg? ( media-gfx/graphviz[svg] )"
+DEPEND="${RDEPEND}
+ sys-devel/gettext"
+
+src_configure() {
+ local mycmakeargs=(
+ -DNM_WITH_VNC_CLIENT=$(usex vnc-client)
+ -DNM_DEBUG=$(usex debug)
+ -DNM_SAVEVM_SNAPSHOTS=$(usex savevm)
+ -DNM_WITH_OVF_SUPPORT=$(usex ovf)
+ -DNM_WITH_NETWORK_MAP=$(usex svg)
+ -DNM_WITH_SPICE=$(usex spice)
+ -DNM_WITH_DBUS=$(usex dbus)
+ )
+ cmake-utils_src_configure
+}
+
+pkg_pretend() {
+ if use kernel_linux; then
+ if ! linux_config_exists; then
+ eerror "Unable to check your kernel"
+ else
+ CONFIG_CHECK="~VETH ~MACVTAP"
+ ERROR_VETH="You will need the Virtual ethernet pair device driver compiled"
+ ERROR_VETH+=" into your kernel or loaded as a module to use the"
+ ERROR_VETH+=" local network settings feature."
+ ERROR_MACVTAP="You will also need support for MAC-VLAN based tap driver."
+
+ check_extra_config
+ fi
+ fi
+}
+
+pkg_postinst() {
+ elog "For non-root usage execute script:"
+ elog "/usr/share/nemu/scripts/setup_nemu_nonroot.sh linux <username>"
+ elog "and add udev rule:"
+ elog "cp /usr/share/nemu/scripts/42-net-macvtap-perm.rules /lib/udev/rules.d"
+ if use savevm; then
+ elog ""
+ elog "QEMU must be patched with qemu-qmp-savevm-VERSION.patch"
+ elog "Get this patch from nEMU repository"
+ fi
+}
diff --git a/src/nm_core.h b/src/nm_core.h
index a7054cc..c38db04 100644
--- a/src/nm_core.h
+++ b/src/nm_core.h
@@ -36,7 +36,7 @@
#define NM_PROGNAME "nemu"
#ifndef NM_VERSION
-#define NM_VERSION "v2.3.0-RC0"
+#define NM_VERSION "v2.3.0"
#endif
#ifndef NM_USR_PREFIX